diff --git a/CHANGES b/CHANGES
index ecb76dc..e0c4c53 100644
--- a/CHANGES
+++ b/CHANGES
@@ -1,3 +1,7 @@
+Changes for 1.8.6
+-----------------
+- Fix msg_has_ctrls() so it doesn't block non-control characters.
+
 Changes for 1.8.5
 -----------------
 - Fixes for x64 - this is a combination of Kobi's work and my own.
diff --git a/include/patchlevel.h b/include/patchlevel.h
index cc55529..3a0bce7 100644
--- a/include/patchlevel.h
+++ b/include/patchlevel.h
@@ -22,7 +22,7 @@
 #define BASENAME "bahamut"
 #define MAJOR 1
 #define MINOR 8
-#define PATCH 5
+#define PATCH 6
 
 #define PATCHES ""
 
diff --git a/src/channel.c b/src/channel.c
index 89af24b..eac1592 100644
--- a/src/channel.c
+++ b/src/channel.c
@@ -102,7 +102,7 @@ static int list_length(Link *lp)
 static int
 msg_has_ctrls(char *msg)
 {
-    char *c;
+    unsigned char *c;
 
     if (msg == NULL) 
         return 0;
